﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Media;
using System.Reflection;
using System.Runtime.InteropServices;
using System.IO;

using System.Windows.Forms;

namespace Alarm_CSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }


        private void خروجToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }



        private void خروجازبرنامهToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        private void KlhdaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.ShowInTaskbar = true;
            this.Visible = true;
            this.NotifyIcon1.Visible = false;
        }


        DateTime a;

        private void Timer1_Tick(object sender, EventArgs e)
        {
            a = DateTime.Now;
            Label5.Text = a.Hour + ":" + a.Minute + ":" + a.Second;
            this.Text = "آلارم ساعت" +"      ام اس پي سافت     "+ "   " + a.Hour + ":" + a.Minute + ":" + a.Second ;
            label16.Text = a.Hour + ":" + a.Minute + ":" + a.Second;
        }

        SoundPlayer player = new SoundPlayer();

        private void Timer2_Tick(object sender, EventArgs e)
        {
            if (TBH.Text == a.Hour.ToString() & TBM.Text == a.Minute.ToString() & TBS.Text == a.Second.ToString())
            {
                timer3.Enabled = true;
                player.SoundLocation = TBALARM.Text; //Set the path
                this.ShowInTaskbar = true;
                this.Visible = true;
                this.NotifyIcon1.Visible = false;
                player.Play(); //play it
                Timer2.Enabled = false;

            }
        }

        private void NotifyIcon1_DoubleClick(object sender, EventArgs e)
        {
            this.ShowInTaskbar = true;
            this.Visible = true;
            this.NotifyIcon1.Visible = false;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.NotifyIcon1.Visible = false;
            xToolStripMenuItem.Text = "هنوز ثبت نام نکرده اید";
            toolStripStatusLabel1.Text = "هنوز ثبت نام نکرده اید";
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                TBALARM.Text = openFileDialog1.FileName;
            }
        }


        private void Button1_Click_1(object sender, EventArgs e)
        {
            if ( TBALARM.Text == "" | TBH.Text == "" | TBM.Text == "" | TBS.Text == "")
            {
                MessageBox.Show("زمان آلارم یا آهنگ مناسبی انتخاب کنید");
            }
            else
            {
                if (GroupBox1.Enabled == true)
                {
                    GroupBox1.Enabled = false;
                    Timer2.Enabled = true;
                    Button1.Text = "توقف";
                }
                else
                {
                    player.Stop();
                    GroupBox1.Enabled = true;
                    Timer2.Enabled = false;
                    timer3.Enabled = false;
                    timer4.Enabled = false;
                    Button1.Text = "شروع";
                }
            }
        }

        private void توضیحاتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("برنامه نویس : جلال کرمی");
        }
        int x = 0;
        private void timer3_Tick(object sender, EventArgs e)
        {
            if (x <= 630)
            {
                this.Location = new Point(x, 200);
                x++;
            }
            if (x >= 630)
            {
                timer3.Enabled = false;
                timer4.Enabled = true;
            }
        }

        private void timer4_Tick(object sender, EventArgs e)
        {
            if (x > 0)
            {
                this.Location = new Point(x, 200);
                x--;
            }
            if (x == 0)
            {
                timer3.Enabled = true;
                timer4.Enabled = false;
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (TBH2.Text == "" | TBM2.Text == "" | TBS2.Text == "" | TBALARM2.Text=="")
            {
                MessageBox.Show("زمان آلارم یا آهنگ مناسبی انتخاب کنید");
            }
            else
            {
                if (groupBox2.Enabled == true)
                {
                    groupBox2.Enabled = false;

                    timer5.Enabled = true;
                    button4.Text = "توقف";
                }
                else
                {
                    player2.Stop();
                    groupBox2.Enabled = true;
                    timer5.Enabled = false;
                    timer3.Enabled = false;
                    timer4.Enabled = false;
                    button4.Text = "شروع";
                }
            }

        }

        SoundPlayer player2 = new SoundPlayer();
        int H, M, S;
        
        public void timer5_Tick(object sender, EventArgs e)
        {
            if (TBH2.Text=="0" & TBM2.Text == "0" & TBS2.Text == "0")
            {
                this.ShowInTaskbar = true;
                this.Visible = true;
                this.NotifyIcon1.Visible = false;
                player2.SoundLocation = TBALARM2.Text; //Set the path
                player2.Play();
                timer3.Enabled = true;
                timer5.Enabled = false;
            }
            else
            {
                H = Convert.ToInt32(TBH2.Text);
                M = Convert.ToInt32(TBM2.Text);
                S = Convert.ToInt32(TBS2.Text);
                if(H>=0)
                {
                    if (M >= 0)
                    {
                        if (S > 0)
                        {
                            S--; TBS2.Text = S.ToString();
                        }
                        if (S == 0 & M > 0) { S = 59; M--; TBS2.Text = S.ToString(); TBM2.Text = M.ToString(); }
                        if (M == 0 & S == 0 & H > 0) { M = 60; S = 59; H--; TBM2.Text = M.ToString(); TBH2.Text = H.ToString(); }
                    }
                }
                 
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
             if (openFileDialog2.ShowDialog() == DialogResult.OK)
            {
                TBALARM2.Text = openFileDialog2.FileName;
            }
        }





        private void وضعیتنوعاولToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (Timer2.Enabled == true)
                MessageBox.Show("   صدای انتخابی توسط شما در ساعت   " + TBH.Text + ":" + TBM.Text + ":" + TBS.Text + "   فعال می شود   ");
            else
                MessageBox.Show("نوع اول تنظیم نشده است");
        }

        private void وضعیتنوعدومToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (timer5.Enabled == true)
                MessageBox.Show("   صدای انتخابی توسط شما تا   " + TBH.Text + ":" + TBM.Text + ":" + TBS.Text + "   دیگر فعال می شود   ");
            else
                MessageBox.Show("نوع دوم تنظیم نشده است");
        }

        private void دربارهToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("برنامه نویس : جلال کرمی \n استان اصفهان شهرستان لنجان شهر چمگردان \n این نسخه از برنامه به صورت آزمایشی بوده و در آینده با گرافیکی زیبا و برنامه ای قوی تر به صورت رایگان ارائه می شود \n 09132356897 ");
        }

        private void آموزشToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("فعلا آموزش برنامه به صورت عکس همراه برنامه است \n در آینده کامل می شود \n  ان شاء الله");
        }

        private void خروجازبرنامهToolStripMenuItem2_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        private void ئهدToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.ShowInTaskbar = false;
            this.Visible = false;
            this.NotifyIcon1.Visible = true;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            if (textBox1.Text == "" | textBox2.Text == "")
            {
                MessageBox.Show("قسمت نام و نام خانوادگی باید کامل شود");
            }
            else
            {
                xToolStripMenuItem.Text = textBox1.Text + " " + textBox2.Text+" جان خوش آمدی";
                toolStripStatusLabel1.Text = textBox1.Text + " " + textBox2.Text + " جان خوش آمدی";
                groupBox3.Enabled = false;
                button5.Text = "ثبت نام انجام شد";
                label24.Text = "ثبت نام انجام شد";
                label24.Visible = true;
            }
        }

        private void ثبتنامکاربرToolStripMenuItem_Click(object sender, EventArgs e)
        {
        }

        private void GroupBox1_Enter(object sender, EventArgs e)
        {

        }



    }
}
